Bug 1665505 - ASUS ROG laptop: asus-nb-wmi: Led asus::kbd_backlight renamed to asus::kbd_backlight_1 due to name collision
Summary: ASUS ROG laptop: asus-nb-wmi: Led asus::kbd_backlight renamed to asus::kbd_ba...
Keywords:
Status: CLOSED ERRATA
Alias: None
Product: Fedora
Classification: Fedora
Component: kernel
Version: 29
Hardware: x86_64
OS: Linux
unspecified
medium
Target Milestone: ---
Assignee: Kernel Maintainer List
QA Contact: Fedora Extras Quality Assurance
URL:
Whiteboard:
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2019-01-11 15:38 UTC by Steve
Modified: 2019-02-01 15:58 UTC (History)
19 users (show)

Fixed In Version: kernel-4.20.5-100.fc28 kernel-4.20.5-200.fc29
Doc Type: If docs needed, set a value
Doc Text:
Clone Of: 1663613
Environment:
Last Closed: 2019-02-01 01:41:56 UTC


Attachments (Terms of Use)

Description Steve 2019-01-11 15:38:17 UTC
Opened at the request of Hans (Bug 1663613, Comment 28).

+++ This bug was initially created as a clone of Bug #1663613 +++

Description of problem: 
In Fedora 29, with kernel 4.19.13-300.fc29.x86_64, the keys for changing keyboard backlight brightness and display brightness do not work. Neither does the gnome software slider option to change display brightness work. My laptop is an ASUS ROG GL502VMK. The key combinations are Fn+ F3/F4 - for backlight brightness decrease/increase and Fn+ F4/F5 - for display brightness decrease/increase. Key combinations on many recent ROG series ASUS laptops are the same, so many more users might be affected. 

Clicking on the key combinations does display the Gnome indicator showing the measure of increase or decrease. That is, the keyboard backlight gnome indicator and the display brightness gnome indicators pop up on using the key combinations, but no actual change happens. The volume change key combinations work smoothly though. For reference, they are Fn+ F11/F12.


Version-Release number of selected component (if applicable):
4.19.13-300.fc29.x86_64

How reproducible:
Reproducible every time. 

Steps to Reproduce:
1.Use the keyboard keys to increase/decrease keyboard backlight or display brightness.

Actual results:
Nothing happens, keyboard backlight stays fixed, and so does the display brightness. On my device they were fixed from when I installed Fedora 29 to keyboard backlight = off and display brightness = 100%

Expected results:
Keyboard backlight and display brightness should increase/decrease on using mentioned keyboard key combinations.

Additional info:
uname -a
Linux localhost.localdomain 4.19.13-300.fc29.x86_64 #1 SMP Sat Dec 29 22:54:28 UTC 2018 x86_64 x86_64 x86_64 GNU/Linux

ls -l /sys/class/backlight
total 0
lrwxrwxrwx. 1 root root 0 Jan  5  2019 acpi_video0 -> ../../devices/pci0000:00/0000:00:01.0/0000:01:00.0/backlight/acpi_video0

screenfetch
           /:-------------:\          x@localhost.localdomain
        :-------------------::        OS: Fedora 29 TwentyNine
      :-----------/shhOHbmp---:\      Kernel: x86_64 Linux 4.19.13-300.fc29.x86_64
    /-----------omMMMNNNMMD  ---:     Uptime: 1h 31m
   :-----------sMMMMNMNMP.    ---:    Packages: 1700
  :-----------:MMMdP-------    ---\   Shell: zsh 5.6.2
 ,------------:MMMd--------    ---:   Resolution: 1920x1080
 :------------:MMMd-------    .---:   DE: GNOME 
 :----    oNMMMMMMMMMNho     .----:   WM: GNOME Shell
 :--     .+shhhMMMmhhy++   .------/   WM Theme: Adwaita
 :-    -------:MMMd--------------:    GTK Theme: Adwaita [GTK2/3]
 :-   --------/MMMd-------------;     Icon Theme: Adwaita
 :-    ------/hMMMy------------:      Font: Cantarell 11
 :-- :dMNdhhdNMMNo------------;       CPU: Intel Core i7-7700HQ @ 8x 3.8GHz [62.0°C]
 :---:sdNMMMMNds:------------:        GPU: GeForce GTX 1060/PCIe/SSE2
 :------:://:-------------::          RAM: 2441MiB / 15990MiB
 :---------------------://

Comment 1 Steve 2019-01-11 15:51:05 UTC
Adding sapoliakaran@gmail.com to CC list.

Comment 2 Hans de Goede 2019-01-22 19:03:49 UTC
As already mentioned in bug 1663613, I believe I've found a fix for this.

I've done a kernel scratch-build with the patch added, you can find this scratch-build here:

https://koji.fedoraproject.org/koji/taskinfo?taskID=32193596

Here are some generic instructions for installing and testing kernels directly from koji:
https://fedorapeople.org/~jwrdegoede/kernel-test-instructions.txt

Please give this kernel a test run, without the binary nvidia driver or any special kernel commandline options and let us know if it fixes both issues.

If things are not fixed please provide the output of these 3 commands:

ls /sys/class/backlight
ls /sys/class/leds
dmesg

While running the new kernel.

Comment 3 sapoliakaran 2019-01-22 23:33:13 UTC
(In reply to Hans de Goede from comment #2)
This solves the issue! The keyboard backlight controls are working now. Thank you :-)

Comment 4 Hans de Goede 2019-01-23 19:47:57 UTC
Thank you for testing I've added the necessary patches to the Fedora kernel packages, so the next official Fedora kernel build will pick them up and then this issue should be resolved.

Comment 5 Fedora Update System 2019-01-29 12:38:48 UTC
kernel-headers-4.20.5-200.fc29 kernel-4.20.5-200.fc29 kernel-tools-4.20.5-200.fc29 has been submitted as an update to Fedora 29. https://bodhi.fedoraproject.org/updates/FEDORA-2019-aabdaa013d

Comment 6 Fedora Update System 2019-01-29 12:41:42 UTC
kernel-tools-4.20.5-100.fc28 kernel-4.20.5-100.fc28 kernel-headers-4.20.5-100.fc28 has been submitted as an update to Fedora 28. https://bodhi.fedoraproject.org/updates/FEDORA-2019-4002b91800

Comment 7 Fedora Update System 2019-01-30 01:58:45 UTC
kernel-4.20.5-200.fc29, kernel-headers-4.20.5-200.fc29, kernel-tools-4.20.5-200.fc29 has been pushed to the Fedora 29 testing repository. If problems still persist, please make note of it in this bug report.
See https://fedoraproject.org/wiki/QA:Updates_Testing for
instructions on how to install test updates.
You can provide feedback for this update here: https://bodhi.fedoraproject.org/updates/FEDORA-2019-aabdaa013d

Comment 8 Fedora Update System 2019-01-30 03:01:26 UTC
kernel-4.20.5-100.fc28, kernel-headers-4.20.5-100.fc28, kernel-tools-4.20.5-100.fc28 has been pushed to the Fedora 28 testing repository. If problems still persist, please make note of it in this bug report.
See https://fedoraproject.org/wiki/QA:Updates_Testing for
instructions on how to install test updates.
You can provide feedback for this update here: https://bodhi.fedoraproject.org/updates/FEDORA-2019-4002b91800

Comment 9 Fedora Update System 2019-02-01 01:41:56 UTC
kernel-4.20.5-100.fc28, kernel-headers-4.20.5-100.fc28, kernel-tools-4.20.5-100.fc28 has been pushed to the Fedora 28 stable repository. If problems still persist, please make note of it in this bug report.

Comment 10 Fedora Update System 2019-02-01 01:58:56 UTC
kernel-4.20.5-200.fc29, kernel-headers-4.20.5-200.fc29, kernel-tools-4.20.5-200.fc29 has been pushed to the Fedora 29 stable repository. If problems still persist, please make note of it in this bug report.

Comment 11 Charles R. Anderson 2019-02-01 15:58:40 UTC
I think the fix for this bug may have caused this one: https://bugzilla.redhat.com/show_bug.cgi?id=1671774


Note You need to log in before you can comment on or make changes to this bug.